<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.xq.mapper.AreaCodeMapper">

    <select id="homeCity" resultType="com.ruoyi.xq.dto.app.areacode.AreaCodeHomeVo">
        select t1.code,t1.name,t1.first_spell
        from area_code t1
        left join area_code t2 on t1.pcode = t2.code
        where t1.level = 'city' and t1.enable_status = 1 and t2.enable_status = 1
    </select>


</mapper>
